Skip to main content
POST
Read a batch of leads by internal ID, or unique property values

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

archived
boolean
default:false

Whether to return only results that have been archived.

Body

application/json

Specifies the input for reading a batch of CRM objects, including arrays of object IDs, requested property names (with optional history), and an optional unique identifying property.

inputs
object[]
required

An array of SimplePublicObjectId objects, each containing an ID of an object to be read. These IDs are used to specify which objects should be included in the batch read operation.

properties
string[]
required

An array of strings representing the properties to be returned for each object. If a specified property does not exist on an object, it will be ignored.

propertiesWithHistory
string[]
required

An array of strings representing the properties to be returned along with their history of previous values. Using this parameter may reduce the number of objects that can be read in a single request.

idProperty
string

When using a custom unique value property to retrieve records, the name of the property. Do not include this parameter if retrieving by record ID.

Response

successful operation

A public object batch response object

completedAt
string<date-time>
required

The date and time when the batch operation was completed, in ISO 8601 format.

results
object[]
required

An array of simple public objects that were processed in the batch operation.

startedAt
string<date-time>
required

The date and time when the batch operation started, in ISO 8601 format.

status
enum<string>
required

The current status of the batch operation. Valid values include 'PENDING', 'PROCESSING', 'CANCELED', and 'COMPLETE'.

Available options:
CANCELED,
COMPLETE,
PENDING,
PROCESSING

A map of link names to associated URIs that provide additional information about the batch operation.

requestedAt
string<date-time>

The date and time when the batch operation was requested, in ISO 8601 format.

Last modified on September 14, 2026